org.apache.mina.core.write

## Interface WriteRequest

- All Known Implementing Classes:
    DefaultWriteRequest, WriteRequestWrapper

      public interface WriteRequest

  Represents write request fired by `IoSession.write(Object)`.
  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `SocketAddress` | `getDestination()` Returns the destination of this write request.
    `WriteFuture` | `getFuture()` Returns `WriteFuture` that is associated with this write request.
    `Object` | `getMessage()` Returns a message object to be written.
    `WriteRequest` | `getOriginalRequest()` Returns the `WriteRequest` which was requested originally, which is not transformed by any `IoFilter`.
    `boolean` | `isEncoded()` Tells if the current message has been encoded

- - ### Method Detail

    - #### getOriginalRequest

          WriteRequest getOriginalRequest()

      Returns the `WriteRequest` which was requested originally, which is not transformed by any `IoFilter`.

    - #### getFuture

          WriteFuture getFuture()

      Returns `WriteFuture` that is associated with this write request.

    - #### getMessage

          Object getMessage()

      Returns a message object to be written.

    - #### getDestination

          SocketAddress getDestination()

      Returns the destination of this write request.
      Returns:
        `null` for the default destination

    - #### isEncoded

          boolean isEncoded()

      Tells if the current message has been encoded
      Returns:
        true if the message has already been encoded

Copyright © 2004-2012 Apache MINA Project. All Rights Reserved.